org.apache.fop.render.intermediate.extensions

## Class DocumentNavigationHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.fop.render.intermediate.extensions.DocumentNavigationHandler

All Implemented Interfaces:
  DocumentNavigationExtensionConstants, ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class DocumentNavigationHandler
    extends DefaultHandler
    implements DocumentNavigationExtensionConstants

ContentHandler that handles the IF document navigation namespace.

### Field Summary

Fields
`protected static org.apache.commons.logging.Log` `log` Logger instance

### Fields inherited from interface org.apache.fop.render.intermediate.extensions.DocumentNavigationExtensionConstants

`BOOKMARK, BOOKMARK_TREE, GOTO_URI, GOTO_XY, LINK, NAMED_DESTINATION, NAMESPACE, PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`DocumentNavigationHandler(IFDocumentNavigationHandler navHandler, Map<String,StructureTreeElement> structureTreeElements, Map<String,GoToXYAction> unresolvedIds)` Main constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters(char[] ch, int start, int length)`
`void` `endDocument()`
`void` `endElement(String uri, String localName, String qName)`
`void` `startElement(String uri, String localName, String qName, Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final org.apache.commons.logging.Log log

Logger instance

### Constructor Detail

#### DocumentNavigationHandler

    public DocumentNavigationHandler(IFDocumentNavigationHandler navHandler,
                                     Map<String,StructureTreeElement> structureTreeElements,
                                     Map<String,GoToXYAction> unresolvedIds)

Main constructor.

Parameters:
  `navHandler` - the navigation handler that will receive the events
  `structureTreeElements` - the elements representing the structure of the document

### Method Detail

#### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Throws:
  `SAXException`

#### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Throws:
  `SAXException`

#### endDocument

    public void endDocument()
                     throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Overrides:
  `endDocument` in class `DefaultHandler`
Throws:
  `SAXException`